UGIDD(8)

NAME
ugidd - uid/gid mapping daemons

SYNOPSIS
/etc/ugidd -d

or from SunOS inetd(8):
rpc udp /usr/etc/rpc.ugidd 545580417 1

DESCRIPTION
ugidd starts a daemon that handles rpc requests to map uid/gids to string names and vice versa. It is called by a unfsd(8) server when the client and server do not share the same passwd file.

The -d flag to run as a standalone server. Otherwise it assumes it has been started from inetd(8) and communicates on file descriptor 0. When started from inetd, the daemon exits after 5 minutes of inactivity.

SEE ALSO
unfsd_exports(5) inetd(8)

BUGS
The rpc program number is legal in that it lies in the 0x20000000 to 0x3fffffff ``Defined by user'' range, but is completely arbitrary.